> ## Documentation Index
> Fetch the complete documentation index at: https://docs-qa.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Live Sheet



## OpenAPI

````yaml https://api-qa.interactly.ai/api-docs/integrations/api.json post /integrations/v1/{integration}/verify-live-sheet
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-qa.interactly.ai
    description: API Server
security: []
paths:
  /integrations/v1/{integration}/verify-live-sheet:
    post:
      tags:
        - Verify sheets
      summary: Verify Live Sheet
      operationId: >-
        integrations_service_verify_live_sheet_v1__integration__verify_live_sheet_post
      parameters:
        - name: integration
          in: path
          required: true
          schema:
            type: string
            title: Integration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyLiveSheetRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyLiveSheetResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    VerifyLiveSheetRequest:
      properties:
        live_sheet_link:
          type: string
          title: Live Sheet Link
      type: object
      required:
        - live_sheet_link
      title: VerifyLiveSheetRequest
    VerifyLiveSheetResponse:
      properties:
        isValid:
          type: boolean
          title: Isvalid
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - isValid
      title: VerifyLiveSheetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard-qa.interactly.ai/api-keys).

````